aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils/username-detected.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/common-utils/username-detected.sh')
-rwxr-xr-xtest/common-utils/username-detected.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/common-utils/username-detected.sh b/test/common-utils/username-detected.sh
new file mode 100755
index 0000000..39c1b29
--- /dev/null
+++ b/test/common-utils/username-detected.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+. /etc/os-release
+# .oh-my-zsh folder would only exist if user detection worked
+check "non-root user" ls /home/node/.oh-my-zsh
+
+# Report result
+reportResults \ No newline at end of file